# $Revision: 1.10 $, $Date: 2006/10/25 08:47:48 $
#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	NetAddr
%define	pnam	IP
Summary:	NetAddr::IP - Manages IPv4 and IPv6 addresses and subnets
Summary(pl):	NetAddr::IP - zarzdzanie adresami i podsieciami IPv4 i IPv6
Name:		perl-NetAddr-IP
Version:	4.004
Release:	2
License:	Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	4f0ef938abf0b1e43ca96fb0068381df
URL:		http://search.cpan.org/dist/NetAddr-IP/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl(Test::More)
BuildRequires:	perl-Math-BigInt
BuildRequires:	perl-Module-Signature
%endif
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module provides an object-oriented abstraction on top of IP
addresses or IP subnets, that allows for easy manipulations.

%description -l pl
Ten modu dostarcza obiektowo zorientowan abstrakcj dla adresw lub
podsieci IP pozwalajc na atwe operacje.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README TODO
%{perl_vendorarch}/NetAddr/IP.pm
%dir %{perl_vendorarch}/NetAddr/IP
%{perl_vendorarch}/NetAddr/IP/Lite.pm
%{perl_vendorarch}/NetAddr/IP/Util.pm
%{perl_vendorarch}/NetAddr/IP/UtilPP.pm
%{perl_vendorarch}/NetAddr/IP/Util_IS.pm
%dir %{perl_vendorarch}/auto/NetAddr/IP/Util
%{perl_vendorarch}/auto/NetAddr/IP/Util/Util.bs
%attr(755,root,root) %{perl_vendorarch}/auto/NetAddr/IP/Util/Util.so
%{perl_vendorarch}/auto/NetAddr/IP/Util/autosplit.ix
%{perl_vendorarch}/auto/NetAddr/IP/Util/*.al
%dir %{perl_vendorarch}/auto/NetAddr/IP/UtilPP
%{perl_vendorarch}/auto/NetAddr/IP/UtilPP/autosplit.ix
%{perl_vendorarch}/auto/NetAddr/IP/UtilPP/*.al
%{perl_vendorarch}/auto/NetAddr/IP/autosplit.ix
%{perl_vendorarch}/auto/NetAddr/IP/*.al
%{_mandir}/man3/*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-NetAddr-IP.spec,v $
Revision 1.10  2006/10/25 08:47:48  glen
- rel 2

Revision 1.9  2006/10/25 08:34:56  ankry
- OPTIMIZE

Revision 1.8  2006/10/25 08:28:26  qboosh
- use package names where possible

Revision 1.7  2006/10/25 08:23:48  ankry
- no longer noarch

Revision 1.6  2006/10/25 08:21:25  glen
- update to 4.004

Revision 1.5  2006/10/25 08:07:25  glen
- more tests BR

Revision 1.4  2005/05/30 12:21:05  petec
- up to 3.24
- updated %doc

Revision 1.3  2004/12/01 10:46:11  radek
- standarized Source0 URL

Revision 1.2  2004/11/23 20:57:40  qboosh
- pl, URL

Revision 1.1  2004/11/23 00:17:18  radek
- new
